Bug 620424 - When using GSSAPI the username option for the c++ client is ignored
Summary: When using GSSAPI the username option for the c++ client is ignored
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Release_Notes   
(Show other bugs)
Version: beta
Hardware: All
OS: Linux
medium
medium
Target Milestone: 1.3
: ---
Assignee: Lana Brindley
QA Contact: ecs-bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 548214
TreeView+ depends on / blocked
 
Reported: 2010-08-02 13:44 UTC by Gordon Sim
Modified: 2013-10-23 23:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Specifying connection level username on c++ client when authenticating with the GSSAPI mechanism. Consequence: Any connection level username is ignored and the username for which a ticket was obtained via kinit will be used. The connection is still authenticated however so there is no loss of security. No workaround is possible, but as a valid ticket is required anyway, this in practice has little impact.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 20:42:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gordon Sim 2010-08-02 13:44:00 UTC
When using GSSAPI for authentication with the c++ messaging client, the username specified to the connection (e.g. via ConnectionSettings) is ignored and the value used when a ticket was obtained via kinit is used. The connection is still authenticated however so there is no loss of security.

The reason for this is that when the username *is* speficied there are very occasional failures (see bug 617267).

Comment 1 Gordon Sim 2010-09-17 07:31:23 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Specifying connection level username on c++ client when authenticating with the GSSAPI mechanism.

Consequence: Any connection level username is ignored and the username for which a ticket was obtained via kinit will be used. The connection is still authenticated however so there is no loss of security. 

No workaround is possible, but as a valid ticket is required anyway, this in practice has little impact.

Comment 2 Lana Brindley 2010-09-23 03:58:54 UTC
Revision 0.1 of the release notes will available for review on the stage shortly.

LKB

Comment 3 Lana Brindley 2010-10-14 20:42:32 UTC
Release Notes have now  been published:
http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_MRG/1.3/html/MRG_Release_Notes/index.html

LKB


Note You need to log in before you can comment on or make changes to this bug.